Summary:  Hungarian Linux manual pages
Summary(hu):  Magyar Linux kziknyv lapok
Name: manpages-hu
Version: 20001008
Release: 4
Copyright: GPL
BuildArchitectures: noarch
ExclusiveOS: Linux
Requires: man
Group: Documentation
Source: http://www.kde.hu/mlp/man/man_hu_2000_10_08.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
Hungarian manual pages for Linux.

%description -l hu
Magyar kziknyv lapok Linuxhoz.

%prep
%setup -c

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/hu
cp -r man* ${RPM_BUILD_ROOT}%{_mandir}/hu
for i in 1 2 3 4 5 6 7 8 n; do
	mkdir -p ${RPM_BUILD_ROOT}/var/cache/man/hu/cat$i
done


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ -e /etc/profile ]; then
	if [ ! -e /etc/sysconfig/i18n ] ; then
		if !( grep -q "LANG=.*hu.*" /etc/profile ); then
			echo -e export LANG=hu >> /etc/profile
		fi
	fi
	if [ ! -e /etc/profile.d/less.sh ] ; then
		if !( grep -q "LESSCHARSET=.*latin1.*" /etc/profile ); then
			echo -e export LESSCHARSET=latin1 >> /etc/profile
		fi
	fi
fi
if [ -e /etc/csh.login ]; then
	if [ ! -e /etc/sysconfig/i18n ] ; then
		if !( grep -q "setenv LANG .*hu.*" /etc/csh.login ); then
			echo -e setenv LANG hu >> /etc/csh.login
		fi
	fi
	if [ ! -e /etc/profile.d/less.csh ] ; then
		if !( grep -q "setenv LESSCHARSET .*latin1.*" /etc/csh.login ); then
			echo -e setenv LESSCHARSET latin1 >> /etc/csh.login
		fi
	fi
fi

if [ -e /etc/man.config ]; then
	cp -pf /etc/man.config /etc/man.config.rpmsave
	sed -e s/Tascii/Tlatin1/ /etc/man.config.rpmsave > /etc/man.config
fi

if [ -e /usr/lib/mc/mc.ext ]; then
	cp /usr/lib/mc/mc.ext /usr/lib/mc/mc.ext.rpmsave
	sed s/Tascii/Tlatin1/ /usr/lib/mc/mc.ext.rpmsave > /usr/lib/mc/mc.ext
fi

%postun
rm -rf /var/cache/man/hu

%files
%defattr(0644, root, man, 0755)
%{_mandir}/hu
/var/cache/man/hu

%changelog
* Fri Oct 05 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.2 beta
- A RedHat linux jabb vltozatai a /etc/sysconfig/i18n fjlt hasznljk
  a locale informcik belltsra s a /etc/profile.d knyvtrat a less
  s trsai belltsra, gyhogy ennek megfelelen mdostottam a
  post-install scriptet.

* Fri May 04 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.1

* Wed Apr 18 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.0

* Sat Mar 17 2001 Sos Pter <sp@osb.hu>
- 2000.10.08-ig elkszlt lapok

* Thu May 25 2000 Sos Pter <sp@osb.hu>
- A postinstall script javitsa, mert nem nem ellenrizte, hogy lteznek-e
  a mdostand fjlok

* Sat May 20 2000 Sos Pter <sp@osb.hu>
- 2000.05.17-ig elkszlt lapok
